## libtododb 0.03

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libtododb
#DEBUG = yes 
CVSBUILD = no
VERSION = 0.03

LINGUAS =

MEMBERS = todo-db old-db 

SONAME = libtododb.so.0

CFLAGS = `pkg-config --cflags glib-2.0` -DG_DISABLE_DEPRECATED
LDFLAGS = `pkg-config --libs glib-2.0` -lsqlite -L../libgpewidget -lgpewidget

CFLAGS += -DPREFIX=\"$(PREFIX)\" -DPACKAGE=\"$(PACKAGE)\" -D_GNU_SOURCE -Wall -fPIC

ifeq ($(DEBUG),yes)
CFLAGS += -g #-O2 -g
LDFLAGS += -g
else
CFLAGS += -Os -fomit-frame-pointer
endif
CFLAGS += -MD

CPPFLAGS += -I. -I../libgpewidget

HEADERS = gpe/todo-db.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: libtododb.so

libtododb.so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS)

.c.s:;
	$(CC) $(CFLAGS) -S $<

install-devel:
	for i in $(HEADERS); do install -m 644 -D $$i $(DESTDIR)$(PREFIX)/include/$$i; done
	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/libtododb.so

clean:
	rm -f $(OBJS) $(SONAME) libtododb.so $(DEPS)

install-program: $(SONAME)
	install -Ds $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libtododb 0.07

=== Makefile ===
PREFIX = /usr/local
PACKAGE = libtododb
#DEBUG = yes 
CVSBUILD = no
VERSION = 0.07

LINGUAS =

MEMBERS = todo-db old-db 

SONAME = libtododb.so.0

PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -I.
PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) `pkg-config --cflags glib-2.0` -DG_DISABLE_DEPRECATED -I../libgpepimc
PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS) `pkg-config --libs glib-2.0` -lsqlite -L../libgpepimc -lgpepimc

HEADERS = gpe/todo-db.h

OBJS = $(patsubst %,%.o,$(MEMBERS))
DEPS = $(patsubst %,%.d,$(MEMBERS))
SOURCES = $(patsubst %,%.c,$(MEMBERS))

ifeq ($(CVSBUILD),yes)
BUILD = ../build
else
BUILD = build
endif

all: libtododb.so

libtododb.so: $(SONAME)
	ln -sf $^ $@

$(SONAME): $(OBJS)
	$(CC) -nostartfiles -shared -o $@ $^ -Wl,-soname -Wl,$(SONAME) $(LDFLAGS) $(PACKAGE_LDFLAGS)

install-devel:
	for i in $(HEADERS); do install -m 644 -D $$i $(DESTDIR)$(PREFIX)/include/$$i; done
	ln -s $(SONAME) $(DESTDIR)$(PREFIX)/lib/libtododb.so

clean:
	rm -f $(OBJS) $(SONAME) libtododb.so $(DEPS)

install-program: $(SONAME)
	install -Ds $(SONAME) $(DESTDIR)$(PREFIX)/lib/$(SONAME)

include $(BUILD)/Makefile.translation
include $(BUILD)/Makefile.dpkg_ipkg
-include $(DEPS)

## libtododb 0.08

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PACKAGE = libtododb
 #DEBUG = yes 
 CVSBUILD = no
-VERSION = 0.07
+VERSION = 0.08
 
 LINGUAS =
 
@@ -11,7 +11,7 @@
 SONAME = libtododb.so.0
 
 PACKAGE_CPPFLAGS += $(STANDARD_CPPFLAGS) -I.
-PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) `pkg-config --cflags glib-2.0` -DG_DISABLE_DEPRECATED -I../libgpepimc
+PACKAGE_CFLAGS += $(STANDARD_CFLAGS) $(GPECFLAGS) `pkg-config --cflags glib-2.0` -DG_DISABLE_DEPRECATED -I../libgpepimc -fPIC
 PACKAGE_LDFLAGS += $(STANDARD_LDFLAGS) $(GPELIBS) `pkg-config --libs glib-2.0` -lsqlite -L../libgpepimc -lgpepimc
 
 HEADERS = gpe/todo-db.h

## libtododb 0.11

=== debian/changelog ===
libtododb (0.11-4) unstable; urgency=low

  * Migrate to automake from automake1.9 (Closes: #724411)
  * Ensure the effect of the unresolved symbols patch is actually
    applied by regenerating the Makefile.in from the patched
    Makefile.am. Restores libgpewidget linkage with the automake
    migration.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Sep 2013 14:15:33 +0100

libtododb (0.11-3) unstable; urgency=low

  * Update watch file
  * Update outdated build-dep versions.
  * Tweak copyright ref to GPL location (lintian)
  * Move to source 3 for upstream bz2 support
  * update dbg section to avoid override disparity
  * Add gpewidget linkage to resolve symbols (Closes: #558926)
  * Add symbol versioning support.

 -- Neil Williams <codehelp@debian.org>  Sat, 12 Mar 2011 17:25:28 +0000

libtododb (0.11-2) unstable; urgency=low

  * Add Homepage field in control file.
  * Add GPE team to Uploaders.

 -- Moray Allan <moray@debian.org>  Sun, 13 Apr 2008 16:12:32 +0200

libtododb (0.11-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Fri, 16 Nov 2007 21:25:26 +0000

libtododb (0.10-3) unstable; urgency=low

  * Add documentation to -dev package.
  * Fix -dbg package Depends.

 -- Moray Allan <moray@debian.org>  Sat, 28 Apr 2007 16:50:32 +0100

libtododb (0.10-2) unstable; urgency=low

  * Add -dbg package.
  * Update watch file.

 -- Moray Allan <moray@debian.org>  Sun, 22 Apr 2007 21:16:15 +0100

libtododb (0.10-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sat,  4 Mar 2006 01:28:22 +0000

libtododb (0.09-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 17:13:49 +0000

libtododb (0.08-2) unstable; urgency=low

  * Update watch file location.

 -- Moray Allan <moray@debian.org>  Sat, 14 Jan 2006 17:07:36 +0000

libtododb (0.08-1) unstable; urgency=low

  * New upstream release.
  * Add shlibs file.
  * Remove spurious capital in package description.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 16:17:35 +0000

libtododb (0.07-3) unstable; urgency=low

  * Fix watch file URL.

 -- Moray Allan <moray@debian.org>  Sun, 13 Feb 2005 16:07:03 +0000

libtododb (0.07-2) unstable; urgency=low

  * Patch upstream Makefile to add -fPIC to PACKAGE_CFLAGS. Closes: #260880.

 -- Moray Allan <moray@debian.org>  Thu, 29 Jul 2004 01:43:25 +0100

libtododb (0.07-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Tue, 20 Jul 2004 19:48:49 +0100

libtododb (0.06-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@sermisy.org>  Sat,  6 Mar 2004 19:05:47 +0000

libtododb (0.03-2) unstable; urgency=low

  * Use cdbs for debian/rules.

 -- Moray Allan <moray@sermisy.org>  Sat,  6 Mar 2004 16:34:28 +0000

libtododb (0.03-1) unstable; urgency=low

  * New upstream release.

 -- Moray Allan <moray@debian.org>  Thu, 19 Feb 2004 00:21:38 +0000

libtododb (0.02-4) unstable; urgency=low

  * Change maintainer address.

 -- Moray Allan <moray@debian.org>  Sun, 18 Jan 2004 04:15:00 +0000

libtododb (0.02-3) unstable; urgency=low

  * Add debian/watch file.

 -- Moray Allan <moray@sermisy.org>  Sun, 28 Sep 2003 00:57:27 +0100

libtododb (0.02-2) unstable; urgency=low

  * Upload to unstable.

 -- Moray Allan <moray@sermisy.org>  Fri, 26 Sep 2003 18:30:20 +0100

libtododb (0.02-1) experimental; urgency=low

  * Initial Release. Closes: #199894.

 -- Moray Allan <moray@sermisy.org>  Thu, 12 Jun 2003 23:11:25 +0100

=== debian/control ===
Source: libtododb
Priority: optional
Section: libs
Maintainer: Moray Allan <moray@debian.org>
Uploaders: Debian GPE team <pkg-gpe-maintainers@lists.alioth.debian.org>,
 Phil Blundell <pb@debian.org>, Philippe De Swert <philippedeswert@scarlet.be>,
 Neil Williams <codehelp@debian.org>
Build-Depends: automake, autotools-dev, cdbs, debhelper (>> 5), libtool, gtk-doc-tools,
 libgpepimc-dev, libsqlite0-dev, libgpewidget-dev, libglib2.0-dev
Standards-Version: 3.9.4
Homepage: http://gpe.linuxtogo.org/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/libtododb/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/libtododb/trunk/

Package: libtododb-dev
Provides: libtododb0-dev
Replaces: libtododb0-dev
Section: libdevel
Architecture: any
Depends: libtododb0 (= ${binary:Version}), ${misc:Depends}
Description: library that provides access to gpe-todo's database [development]
 This is the development package for programs that need to access the
 gpe-todo database.

Package: libtododb0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library that provides access to gpe-todo's database [runtime]
 This is the runtime package for programs that need to access the gpe-todo
 database.

Package: libtododb0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libtododb0 (= ${binary:Version}), ${misc:Depends}
Description: library that provides access to gpe-todo's database [debugging]
 This is the debugging package for programs that need to access the gpe-todo
 database.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_CONFIGURE_EXTRA_FLAGS = --enable-gtk-doc

makebuilddir::
	libtoolize -f
	aclocal
	automake --add-missing
	autoreconf -f

clean::
	$(RM) -f autom4te.cache/ configure aclocal.m4

=== debian/watch ===
version=3
http://gpe.linuxtogo.org/download/source/libtododb-(.*)\.tar\.bz2

## libtododb 2.8%2bmaemo%2bsvn20080114-2

=== debian/changelog ===
libtododb (2.8+maemo+svn20080114-2) unstable; urgency=low

  * MUD build using revision {20080114}

 -- Graham Cobb <g+770@cobb.uk.net>  Sat, 29 Mar 2008 01:17:05 +0000

libtododb (0.08m1-4) unstable; urgency=low

  * One more dependency fix.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Mon, 25 Jul 2005 16:55:56 +0200
 

libtododb (0.08m1-3) unstable; urgency=low

  * Dependency fix.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Mon, 30 May 2005 16:55:56 +0200

libtododb (0.08m1-2) unstable; urgency=low

  * Dependency fix.

 -- Florian Boor <florian.boor@kernelconcepts.de>  May, 09 may 2005 16:55:56 +0200
 

libtododb (0.08m1-1) unstable; urgency=low

  * Initial Release.

 -- Florian Boor <florian.boor@kernelconcepts.de>  Wed, 27 Apr 2005 16:55:56 +0200

=== debian/control ===
Source: libtododb
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-depends: debhelper (>= 5), autotools-dev, libsqlite0-dev,
  libglib2.0-dev, intltool, libgpepimc-dev, libgpewidget-dev
Standards-Version: 3.6.0
Section: libs

Package: libtododb-dev
Prefix-section: 0
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: libdev
Architecture: any
Depends: libtododb0 (= ${Source-Version}), libgpewidget-dev, libgpepimc-dev
Description: GPE libtododb library
  Todo database access for GPE PIM applications.
  Packaged with MUD

Package: libtododb0
Prefix-section: 0
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPE libtododb library
  Todo database access for GPE PIM applications.
  Packaged with MUD

## libtododb 2.8%2bmaemo%2bsvn20081212-3

=== debian/changelog ===
libtododb (2.8+maemo+svn20081212-3) unstable; urgency=low

  * MUD build using revision {20081212}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 15 Dec 2008 17:14:44 +0000

## libtododb 2.8%2bmaemo%2bsvn20090904-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20090904-1) unstable; urgency=low

  * MUD build using revision {20090904}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 04 Sep 2009 07:56:10 +0100

## libtododb 2.8%2bmaemo%2bsvn20090912-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20090912-1) unstable; urgency=low

  * MUD build using revision {20090912}

 -- Graham Cobb <g+770@cobb.uk.net>  Sat, 12 Sep 2009 07:55:54 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure:
#	intltoolize --copy --automake --force
	autoreconf -f -i -s

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --enable-hildon --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-hildon --disable-cairo


build: build-stamp
build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean  --exclude ./Makefile.orig --exclude ./libtool.orig

install: build
	dh_testdir
	dh_testroot
	dh_clean -k  --exclude ./Makefile.orig --exclude ./libtool.orig
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
#	dh_installchangelogs ChangeLog
#	dh_installdocs
#	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libtododb 2.8%2bmaemo%2bsvn20090916-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20090916-1) unstable; urgency=low

  * MUD build using revision {20090916}

 -- Graham Cobb <g+770@cobb.uk.net>  Wed, 16 Sep 2009 21:17:56 +0100

## libtododb 2.8%2bmaemo%2bsvn20090920-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20090920-1) unstable; urgency=low

  * MUD build using revision {20090920}

 -- Graham Cobb <g+770@cobb.uk.net>  Sun, 20 Sep 2009 07:52:07 +0100

## libtododb 2.8%2bmaemo%2bsvn20090927-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20090927-1) unstable; urgency=low

  * MUD build using revision {20090927}

 -- Graham Cobb <g+770@cobb.uk.net>  Sun, 27 Sep 2009 13:26:52 +0100

## libtododb 2.8%2bmaemo%2bsvn20091005-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20091005-1) unstable; urgency=low

  * MUD build using revision {20091005}

 -- Graham Cobb <g+770@cobb.uk.net>  Mon, 05 Oct 2009 07:55:56 +0100

=== debian/rules ===
--- 
+++ 
@@ -112,6 +112,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	if which maemo-optify >/dev/null ; then maemo-optify ; fi
 	dh_md5sums
 	dh_builddeb

## libtododb 2.8%2bmaemo%2bsvn20100128-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20100128-1) unstable; urgency=low

  * MUD build using revision {20100128}

 -- Graham Cobb <g+770@cobb.uk.net>  Thu, 28 Jan 2010 16:32:37 +0000

=== debian/control ===
Source: libtododb
Uploaders: MUD Project <mud-builder-team@garage.maemo.org>
Priority: optional
Maintainer: Graham Cobb <g+770@cobb.uk.net>
Build-Depends: debhelper (>= 5), autotools-dev, libsqlite0-dev,
  libglib2.0-dev, intltool, libgpepimc-dev, libgpewidget-dev
Standards-Version: 3.6.1
Section: libs

Package: libtododb-dev
Section: libdev
Architecture: any
Depends: libtododb0 (= ${Source-Version}), libgpewidget-dev, libgpepimc-dev
Description: GPE libtododb library
  Todo database access for GPE PIM applications.
  Packaged with MUD

Package: libtododb0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPE libtododb library
  Todo database access for GPE PIM applications.
  Packaged with MUD

## libtododb 2.8%2bmaemo%2bsvn20100129-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20100129-1) unstable; urgency=low

  * MUD build using revision {20100129}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 29 Jan 2010 10:47:59 +0000

## libtododb 2.8%2bmaemo%2bsvn20100212-1

=== debian/changelog ===
libtododb (2.8+maemo+svn20100212-1) unstable; urgency=low

  * MUD build using revision {20100212}

 -- Graham Cobb <g+770@cobb.uk.net>  Fri, 12 Feb 2010 07:34:40 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Graham Cobb <g+770@cobb.uk.net>
 Build-Depends: debhelper (>= 5), autotools-dev, libsqlite0-dev,
-  libglib2.0-dev, intltool, libgpepimc-dev, libgpewidget-dev
+  libglib2.0-dev, intltool, libgpepimc-dev, libgpewidget-dev, maemo-optify
 Standards-Version: 3.6.1
 Section: libs
